[![Build Status](https://img.shields.io/travis/AntiPhotonltd/domain_expiry/master?style=for-the-badge&logo=travis)](https://travis-ci.org/AntiPhotonltd/domain_expiry)
[![Release](https://img.shields.io/github/release/AntiPhotonltd/domain_expiry?color=blueviolet&style=for-the-badge&logo=github)](https://github.com/AntiPhotonltd/domain_expiry/releases/latest)
[![Github commits (since latest release)](https://img.shields.io/github/commits-since/AntiPhotonltd/domain_expiry/latest?color=blueviolet&style=for-the-badge&logo=github)](https://github.com/AntiPhotonltd/domain_expiry/commits)
[![Software License](https://img.shields.io/badge/license-MIT-blueviolet?style=for-the-badge)](LICENSE.md)
[![Wolf](https://img.shields.io/badge/Created%20By-Wolf-blueviolet?style=for-the-badge)](https://github.com/TGWolf)

# DomainExpiry

This is a simple little gem for checking when a domain will expire.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'domain_expiry'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install domain_expiry

## Usage

### Simple Usage
```ruby
  require 'domain_expiry'

  DomainExpiry::DomainExpiry.domain_details('antiphoton.com')

  Results:
  {"antiphoton.com"=>{"status"=>200, "expires_on"=>"11 Oct 2020", "expires_in"=>598}}
```

### Displaying the output

```ruby
  require 'domain_expiry'

  results = DomainExpiry::DomainExpiry.domain_details(['antiphoton.com','wolfsoftware.com'])
  DomainExpiry::DomainExpiry.display_results(results)
```

This would give the following output

```shell
  --------------------------------------------------------------------------------
   Domain                         | Status
  --------------------------------------------------------------------------------
   antiphoton.com                 | expires on 11 Oct 2020 (in 598 days)
   wolfsoftware.com               | expires on 24 Jan 2022 (in 1068 days)
  --------------------------------------------------------------------------------
```

## Command Line Tools

There is a command line tool included with this gem.

```shell
  check-domain -d antiphoton.com

  --------------------------------------------------------------------------------
   Domain                         | Status
  --------------------------------------------------------------------------------
   antiphoton.com                 | expires on 11 Oct 2020 (in 598 days)
  --------------------------------------------------------------------------------
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Testing

For local testing make sure that you run `bundle exec rspec spec` and then `rake install` to install the gem locally.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/AntiPhotonltd/domain_expiry. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the DomainExpiry project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/AntiPhotonltd/domain_expiry/blob/master/CODE_OF_CONDUCT.md).
