# frozen_string_literal: true

require 'domain_expiry'

RSpec.describe DomainExpiry do
    it 'has a version number' do
        expect(DomainExpiry::VERSION).not_to be nil
    end

    context 'Simple Tests' do
        before(:each) do
            @c = DomainExpiry::DomainExpiry
        end

        it 'available? = false for antiphoton.com' do
            expect(@c.available?('antiphoton.com')).to eql(false)
        end

        it 'registered? = true for antiphoton.com' do
            expect(@c.registered?('antiphoton.com')).to eql(true)
        end

        it 'available? = true for iamnotgoingtoberegisteredandonlyusedfortesting.com' do
            expect(@c.available?('iamnotgoingtoberegisteredandonlyusedfortesting.com')).to eql(true)
        end

        it 'registered? = false for iamnotgoingtoberegisteredandonlyusedfortesting.com' do
            expect(@c.registered?('iamnotgoingtoberegisteredandonlyusedfortesting.com')).to eql(false)
        end
    end
end
